from .. import models
import factory
import factory.fuzzy

class CelestialFactory(factory.django.DjangoModelFactory):
    name = factory.Faker('city')
    weight = factory.fuzzy.FuzzyFloat(100.0, 100000.0)
    size = factory.fuzzy.FuzzyFloat(1.0, 8.0)
    
    class Meta:
        model = models.Celestial

class OrbitFactory(factory.DjangoModelFactory):
    parent = factory.SubFactory(CelestialFactory)
    celestial = factory.SubFactory(CelestialFactory)
    distance = factory.fuzzy.FuzzyFloat(2.0, 140.0)

    class Meta:
        model = models.Orbit